amoBBS 阿莫电子论坛

 找回密码
 注册
搜索
bottom↓
查看: 279|回复: 0

pymongo连接树莓派的mongodb出现错误

[复制链接]
发表于 2018-7-5 16:11:49 | 显示全部楼层 |阅读模式
安装的是pymongo, 服务端在树莓派,运行的是mongod
python连接数据表不报错,但insert或者find报错,错误提示是:
raise ConfigurationError(self._incompatible_err)
pymongo.errors.ConfigurationError: Server at 192.168.0.100:27017 reports wire version 0, but this version of PyMongo requires at least 2 (MongoDB 2.6).

因为连接本机的mongd server,没有出现这个问题。 所以问题应该处在版本上。
然后把pymongo的版本降下去,原来是3.6的版本,然后降到3.2. 重试后问题就解决了
pip3 install pymongo==3.2
友情提示:标题不合格、重复发帖,将会被封锁ID。详情请参考:论坛通告:封锁ID、获得注册邀请码、恢复被封ID、投诉必读
您需要登录后才可以回帖 登录 | 注册

本版积分规则

手机版|Archiver|阿莫电子论坛(原ourAVR/ourDEV) ( 公安备案:44190002001997(交互式论坛) 工信部备案:粤ICP备09047143号 )

GMT+8, 2019-9-16 01:12

阿莫电子论坛, 原"中国电子开发网"

© 2004-2018 www.amobbs.com, 原www.ourdev.cn, 原www.ouravr.com

快速回复 返回顶部 返回列表